CppExecutable (Gradle API 9.2.0)
Description: declaration: package: org.gradle.language.cpp, interface: CppExecutable

Package org.gradle.language.cpp

# Interface CppExecutable

All Superinterfaces:
  `BuildableComponent`, `ComponentWithCoordinates`, `ComponentWithDependencies`, `ComponentWithExecutable`, `ComponentWithInstallation`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `ComponentWithOutputs`, `ComponentWithRuntimeUsage`, `CppBinary`, `Named`, `PublishableComponent`, `SoftwareComponent`

public interface CppExecutable extends CppBinary, ComponentWithExecutable, ComponentWithInstallation, ComponentWithOutputs, ComponentWithRuntimeUsage, PublishableComponent
An executable built from C++ source.

Since:
  4.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.language.cpp.CppBinary

  `DEBUGGABLE_ATTRIBUTE, LINKAGE_ATTRIBUTE, OPTIMIZED_ATTRIBUTE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<RegularFile>`
  `getDebuggerExecutableFile()`
  Returns the executable file to use with a debugger for this executable.

  ### Methods inherited from interface org.gradle.api.component.ComponentWithCoordinates

  `getCoordinates`

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithExecutable

  `getExecutableFile, getExecutableFileProducer, getLinkLibraries, getLinkTask`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithInstallation

  `getInstallDirectory, getInstallTask, getRuntimeLibraries`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

  `getObjects`

  ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

  `getOutputs`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeUsage

  `getRuntimeElements`

  ### Methods inherited from interface org.gradle.language.cpp.CppBinary

  `getCompileIncludePath, getCompileTask, getCppSource, getLinkLibraries, getRuntimeLibraries, getTargetPlatform`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getDebuggerExecutableFile

    Provider<RegularFile> getDebuggerExecutableFile()
    Returns the executable file to use with a debugger for this executable.
    Since:
      4.5